# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.qpid.proton.engine.Link.setRemoteSenderSettleMode(SenderSettleMode)
org.apache.qpid.proton.engine.Transport.input(byte[], int, int)
use `Transport.getInputBuffer()` and `Transport.processInput()` instead.
org.apache.qpid.proton.engine.Transport.output(byte[], int, int)
use `Transport.getOutputBuffer()` and `Transport.outputConsumed()` instead
org.apache.qpid.proton.reactor.Reactor.connection(Handler)
Use `Reactor.connectionToHost(String, int, Handler)` instead.